# Preview the Stripe subscription price Generates a preview of the total price and tax amount that Stripe will charge the customer if they create a new subscription for the specified plan. Note: This method does not create any entities in Stripe and does not result in any payments being made. Endpoint: POST /zephr/payment/stripe/create-subscription-previews Version: 2025-07-30 Security: CookieBlaizeSession, JwtQuery, JwtHeaderXBlaizeJwt, JwtHeaderXZephrJwt, JwtBearer, JwtCookie ## Request fields (application/json): - `product_id` (string, required) The ID of the new Zephr product. Example: "zephr-prod-1" - `plan_id` (string, required) The new Stripe price plan ID. Example: "price_H8eIeMFwMawg6w" - `promo_code` (string) The Stripe promo code that will be attached to the subscription. Example: "discount15" - `billing_country` (string) The user's billing country, for tax calculation purposes. Example: "US" - `billing_post_code` (string) The user's billing postal code, for tax calculation purposes. Example: "90210" ## Response 200 fields (*/*): - `total` (number) The total amount the user will be initially charged for the subscription in the relevant currency's lowest denomination (e.g. pence), i.e. for a monthly subscription, the first month's cost. Example: 5000 - `sub_total` (number) The total amount minus tax for the initial charge in the relevant currency's lowest denomination (e.g. pence). Example: 4500 - `tax` (number) The tax amount for the initial charge in the relevant currency's lowest denomination (e.g. pence). Example: 500 - `discount` (number) The discount amount for the initial charge in the relevant currency's lowest denomination (e.g. pence). ## Response 400 fields